diff options
| author | Russ Cox <rsc@golang.org> | 2009-10-09 11:15:19 -0700 |
|---|---|---|
| committer | Russ Cox <rsc@golang.org> | 2009-10-09 11:15:19 -0700 |
| commit | f0bde7c51bf6169043bf605798116b75b85615f5 (patch) | |
| tree | b43d7b1a35204127a1c0c9ba260d27f9665fef67 /src/make.bash | |
| parent | 6084dcdd0702e41e320c7ad39467243b3490eb4c (diff) | |
| download | go-f0bde7c51bf6169043bf605798116b75b85615f5.tar.xz | |
fix nacl build
R=r
DELTA=23 (5 added, 0 deleted, 18 changed)
OCL=35510
CL=35518
Diffstat (limited to 'src/make.bash')
| -rwxr-xr-x | src/make.bash | 35 |
1 files changed, 20 insertions, 15 deletions
diff --git a/src/make.bash b/src/make.bash index ca5304512f..04054c4016 100755 --- a/src/make.bash +++ b/src/make.bash @@ -21,21 +21,26 @@ chmod +x $GOBIN/quietgcc for i in lib9 libbio libmach libregexp cmd pkg libcgo cmd/cgo cmd/ebnflint cmd/godoc cmd/gofmt do - # The ( ) here are to preserve the current directory - # for the next round despite the cd $i below. - # set -e does not apply to ( ) so we must explicitly - # test the exit status. - ( - echo; echo; echo %%%% making $i %%%%; echo - cd $i - case $i in - cmd) - bash make.bash - ;; - *) - make install - esac - ) || exit 1 + case "$i-$GOOS" in + libcgo-nacl) + ;; + *) + # The ( ) here are to preserve the current directory + # for the next round despite the cd $i below. + # set -e does not apply to ( ) so we must explicitly + # test the exit status. + ( + echo; echo; echo %%%% making $i %%%%; echo + cd $i + case $i in + cmd) + bash make.bash + ;; + *) + make install + esac + ) || exit 1 + esac done case "`uname`" in |
